head	1.3;
access;
symbols;
locks; strict;
comment	@# @;


1.3
date	2000.04.28.00.28.25;	author manoj;	state dead;
branches;
next	1.2;

1.2
date	2000.04.11.23.27.10;	author davidp;	state Exp;
branches;
next	1.1;

1.1
date	2000.04.06.04.47.28;	author jrobbins;	state Exp;
branches;
next	;


desc
@@


1.3
log
@Redo Makefile.config to only bother with the RPMmed Tigris setup.
Rely on having PATH and CLASSPATH set for us, as the RPMs do.
@
text
@#############################################
# Tigris Helm -*- Makefile -*- config file developed for
# a Unix system.
#
# When configuring, you probably only need to edit WORKING,
# JDK_DIR, SITE_ROOT, and classpath entries


# The name of this project, used to keep other Makefile expressions reusable.
PROJECT=helm

SRC_DIR=$(SANDBOX)/$(PROJECT)/java

# relative place to put .class files
CLASS_DIR = $(SANDBOX)/$(PROJECT)/java_jar

# Place you put jar files for the live site
JAR_DIR=$(SANDBOX)/$(PROJECT)/java_jar

JAR_FILE=$(PROJECT).jar

INSTALL_JAR_DIR=$(SANDBOX)/$(PROJECT)/java_jar


# name of project jar file to make

# place where joist jar file is located

JOIST_JAR = $(SANDBOX)/joist/java_jar/joist.jar

#########################################
# Some platform specific command macros #
#########################################
DELETE=rm -f
COPY=cp
MKDIR=mkdir -p
MAKE=make -f Makefile
CD=cd


# Path to JDK 1.1 or JDK 1.2 or equivalent
JDK_DIR=/usr/local/jdk
JAVAC=$(JDK_DIR)/bin/javac
JAVA_AR=$(JDK_DIR)/bin/jar
JAVADOC=$(JDK_DIR)/bin/javadoc

# if you have jikes (from www.alphaworks.ibm.com)
JAVAC=/usr/local/pkgs/jikes/jikes

# If you use jikes (from http://www.alphaworks.ibm.com), use this JAVAC line.
#JAVAC=/usr/bin/jikes


#####################
# Set the CLASSPATH #
#####################

# Place where JAR files are kept.
#JAVA_LIB=$(JDK_DIR)/lib
JAVA_LIB=/usr/local/java

#A=/home/httpd/classes/servlet-2.0.jar
#A=/usr/local/jsdk/lib/jsdk.jar
A=$(JAVA_LIB)/jsdk.jar
B=$(JDK_DIR)/lib/classes.zip
C=$(JAVA_LIB)/cj.jar

# webmacro.jar stuck in conf directory so that WebMacro.properties is found
D=$(SANDBOX)/conf/webmacro.jar

E=$(JAVA_LIB)/mail.jar
F=$(JAVA_LIB)/mysql.jar
#G=/usr/local/gnu.regexp-1.0.8/lib/gnu-regexp-1.0.8.jar
G=$(JAVA_LIB)/gnu-regexp-1.0.8.jar
H=$(JAVA_LIB)/village.jar
I=$(JAVA_LIB)/activation.jar
J=$(SRC_DIR)/lib/collections2.jar
K=$(JOIST_JAR)

CLASSPATH=$A:$B:$C:$D:$E:$F:$G:$H:$I:$J:$K:.:$(CLASS_DIR):$(SRC_DIR)


JFLAGS= -g -classpath $(CLASSPATH) -d $(CLASS_DIR)

# If you use jikes with emacs
JIKESFLAGS= +E

.SUFFIXES: .java .class

.java.class:
	$(JAVAC) $(JIKESFLAGS) $(JFLAGS) $<


classes: $(SOURCES:.java=.class)

all: classes

quick:
	cd $(SRC_DIR); \
	$(JAVAC) $(JIKESFLAGS) $(JFLAGS) `find  -not -path '*/old/*' -prune -name '*java'`;
@


1.2
log
@Make buildable on swallow.
@
text
@@


1.1
log
@Changes to allow helm to be put in a per-developer sandbox.
@
text
@d18 3
a20 1
JAR_DIR=$(SITE_ROOT)/$(PROJECT)/java_jar
d42 1
a42 2
#JDK_DIR=/usr/local/jdk
JDK_DIR=/usr/local/pkgs/jdk1.2.2
d51 1
a51 1
JAVAC=/usr/bin/jikes
d65 1
a65 1
B=$(JAVA_LIB)/classes.zip
d77 1
a77 1
J=$(WORKING)/lib/collections2.jar
d80 1
a80 1
CLASSPATH=$A:$B:$C:$D:$E:$F:$G:$H:$I:$J:$K:.:$(CLASS_DIR):$(WORKING)
d99 1
a99 1
	cd $(WORKING); \
@

